Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 866195

Summary: iasl 20120913-3 not built with $RPM_OPT_FLAGS, $RPM_LD_FLAGS
Product: [Fedora] Fedora Reporter: Ville Skyttä <ville.skytta>
Component: iaslAssignee: Matthew Garrett <mjg59>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 19CC: mjg59, rjones
Target Milestone: ---Keywords: Patch, Regression
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-02-17 14:30:48 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 496968    

Description Ville Skyttä 2012-10-14 15:46:54 UTC
http://kojipkgs.fedoraproject.org//packages/iasl/20120913/3.fc19/data/logs/x86_64/build.log

iasl 20120913-3 is not built with $RPM_OPT_FLAGS nor $RPM_LD_FLAGS. The optflags part is a regression, the problem didn't exist in 20100528-6.

Possible simplistic fix, compile tested only:

--- a/iasl.spec
+++ b/iasl.spec
@@ -28,8 +28,9 @@ disassemble AML, for debugging purposes.
 cp -p %{SOURCE1} README.Fedora
 cp -p %{SOURCE2} iasl.1
+sed -i -e /-Werror/d generate/unix/Makefile.config
 
 %build
 # does not compile with %{?_smp_mflags}
-make
+CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="$RPM_LD_FLAGS" make BITS="%{__isa_bits}"

Comment 1 Ville Skyttä 2012-10-14 16:03:17 UTC
Ccing rjones who seems to have done the last few updates.

Comment 2 Richard W.M. Jones 2012-10-14 17:40:00 UTC
I'm fairly sure it wasn't built with opt flags before.

In any case, the source says:

#   Global optimization flags (such as -O2, -Os) are not used, since
#       they cause issues on some compilers.

which was why I didn't use the RPM opt flags.  (In fact
I had to disable fortify source for the same reason).

Comment 3 Ville Skyttä 2012-10-14 19:34:31 UTC
(In reply to comment #2)
> I'm fairly sure it wasn't built with opt flags before.

http://kojipkgs.fedoraproject.org//packages/iasl/20100528/6.fc19/data/logs/x86_64/build.log

> #   Global optimization flags (such as -O2, -Os) are not used, since
> #       they cause issues on some compilers.
> 
> which was why I didn't use the RPM opt flags.

If that's the case with Fedora's compilers, this must be documented in the specfile: https://fedoraproject.org/wiki/Packaging:Guidelines#Compiler_flags

> (In fact I had to disable fortify source for the same reason).

What about the other flags that were disabled, such as -fstack-protector, -g etc?

Comment 4 Richard W.M. Jones 2012-10-14 19:37:10 UTC
What I suggest is that you go ahead and fix this package.

(Note I'm not the maintainer, I was just asked about a
ppc64 bug that affected this package, and in the process
of trying unsuccessfully to fix that bug, I also updated
the package to the newest version)

Comment 5 Fedora End Of Life 2013-04-03 16:21:39 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 6 Fedora End Of Life 2015-01-09 17:25:21 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2015-02-17 14:30:48 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.